licencerecon : vérifiez les licences dans le fichier debian/copyright par rapport à licensecheck.

lrc analyse un fichier de copyright DEP-5 valide et note les licences de tous
les fichiers dans l'arborescence des sources. Licensecheck est ensuite exécuté
et les résultats comparés. Différences entre les licences et les versions
de licence dans debian/copyright et la sortie de licensecheck sont signalées.

Il doit être exécuté au niveau supérieur d'une arborescence des sources Debian
nettoyée, avec un fichier de copyright DEP-5 valide.
L'arborescence source doit être propre, sinon,
les résultats pourraient être contaminés par des rapports fallacieux sur le build.
fichiers générés.
Il est conseillé d'exécuter Lintian en premier pour garantir une syntaxe correcte.
de debian/copyright.

Les résultats sont donnés à titre indicatif uniquement et ne remplacent pas une
vérification manuelle. Il est destiné à signaler des erreurs évidentes.
La conception vise à minimiser les faux positifs autant que cela est pratique.
Cependant, des faux positifs se produiront si le l'orthographe de la chaîne
courte de la licence n'est pas identique entre le fichier et debian/copyright.
Ceci est très probable avec des licences complexes telles que
Constructions « et »/« ou » et exceptions spécifiques.

Les faux positifs peuvent être supprimés en créant un fichier debian/lrc.config
Lister dans ce fichier les noms de fichiers et/ou de répertoires à exclure.
La syntaxe du fichier est décrite dans /usr/share/lrc/lrc.config.

Options de ligne de commande à utiliser à chaque exécution
(peut-être --spdx etc. avec Salsa CI)
peuvent être incluses dans debian/lrc.config

Seuls les fichiers avec un en-tête de copyright sont vérifiés.
Des faux négatifs peuvent se produire si licensecheck ne peut pas déterminer
la licence d'un fichier. Fichiers nommés copyright, copie, readme, etc.
ne sont pas vérifiés car ils spécifient souvent les licences d'autres fichiers
plutôt que le leur. Les fichiers Autotools générés automatiquement ne sont
pas vérifiés, comme ils n'ont pas besoin d'être répertoriés dans debian/copyright,
et pourrait autrement apparaître comme une différence.

CODES DE SORTIE
     0 : aucune différence trouvée
     1 : Échec de l'exécution (pas de Debian/copyright valide)
     3 : Différences de licence trouvées

EXEMPLE DE SORTIE
     Exemple de sortie appelant lrc.

     SUCCÈS:
         Parsing Source Tree  ....
         Reading copyright    ....
         Running licensecheck ....

         No differences found

     DIFFÉRENCES:
         Parsing Source Tree  ....
         Reading copyright    ....
         Running licensecheck ....

         debian/copyright| licensecheck

         LGPL-2.1+       | GPL-2+       test/src/config/chan.c
         GPL-2+          | public-domain share/lua/int/dummy.lua
         GPL-2+          | LGPL-2.1+    modules/access/sr_common.h

OPTIONS
Les options ne sont pas sensibles à la casse. Les options non valides sont ignorées.

-? -h ou --help
Écrit ce fichier Lisez-moi sur la sortie standard.

-l ou --long
La sortie est générée pour chaque fichier pour lequel licensecheck détecte
la licence, pas seulement ceux qui ont des divergences de licence.

-f ou --format
Sortie formaté.
Affiche la licence debian/copyright, la licence licensecheck
et le nom du fichier sur trois lignes distinctes, suivies d'une ligne vierge.
Les en-têtes et les lignes récapitulatives sont supprimés.
Les informations de version ne sont pas affichées sauf indication contraire
via l'option -v.

-s ou --short
Là où des blocs de fichiers avec des différences de licence identiques seraient
générés, seul le premier fichier est affiché. Remplace -l (si spécifié)

-v ou --version
Écrit les numéros de version de licenserecon et licensescheck
sur la sortie standard, puis quitte

-x or --spdx
Attend des noms courts de licence de type SPDX.
(Par défaut, les noms courts sont ceux de debian DEP 5)

PIPELINE SALSA CI
lrc peut être inclus dans les pipelines CI Salsa en utilisant
 debian/salsa-ci.yml@debian/licenserecon
comme fichier de configuration CI/CD.
